{% extends "base.html" %} {% load static %} {% block stylesheet %} {% endblock stylesheet %} {% block title %}

<h1>Lista de Mensaje</h1>
<ol class="breadcrumb">
	<li>
		<a href="javascript:void(0)">Dashboard</a>
	</li>
	<li class="active">Lista Mensaje</li>
</ol>
{% endblock title %} {% block content %}

<div class="modal fade" id="msn_m" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">

				<h4 class="modal-title" id="myModalLabel-2">Asunto</h4>
				<ul class="card-actions icons right-top">

					<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
						<i class="zmdi zmdi-close"></i>
					</a>
				</ul>
			</div>
			<div class="modal-body">
								
				<p><strong>Descripción:</strong><br>
                 <span id="descripcion"></span></p>
				<hr>
				
			</div>
			<div class="modal-footer">
				<button style="background-color:#ec407a; color: white" type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
			</div>
		</div>
	</div>
</div>
<div class="card card-data-tables product-table-wrapper">
	<header class="card-heading">
		<h2 class="card-title">Bandeja de Mensajes Recibidos</h2>
		<div class="card-search">
			<div id="productsTable_wrapper" class="form-group label-floating is-empty">
				<i class="zmdi zmdi-search search-icon-left"></i>
				<input type="text" class="form-control filter-input" placeholder="Filtrar Mensajes" autocomplete="off">
				<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar"><i class="zmdi zmdi-close"></i></a>
			</div>
		</div>
		<ul class="card-actions icons right-top">
			<li id="deleteItems" style="display: none;">
			</li>
			<li>
				<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filtrar Mensajes">
			<i class="zmdi zmdi-filter-list"></i>
		  </a>
			</li>
			<li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Ir a Mensajes Enviados">
				<a href="javascript:void(0)" data-toggle="dropdown">
				<i class="zmdi zmdi-eye"></i></a>
			<ul class="dropdown-menu dropdown-menu-right btn-primary">
				<li>
					<a id="mensaje_s" href="{% url 'message_Info' %}">Mensajes Enviados</a>
				</li>
			</ul>
			</li>
		</ul>
	</header>
	<div class="card-body p-0">
		<div class="table-responsive">
			<table id="productsTable" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
				<thead>
					<tr>
						<th class="col-xs-2">De</th>
						<th class="col-xs-3">Asunto</th>
						<th class="col-xs-2">Fecha</th>
						<th data-orderable="false" class="col-xs-1">Acciones</th>
					</tr>
				</thead>
				<tbody>
					{% for feedback in feedback_perfil %}
					{% if feedback.status == "ME" %}
					<tr>
						<td>{{feedback.author.name}} {{feedback.author_s.name}}</td>
						<td>{{feedback.description | safe | truncatewords_html:20}}</td>
						<td>{{ feedback.date | date:"d/m/Y" }}</td>
						<td>
							<div class="col-md-3 col-sm-3 col-xs-3">
								<button class="btn btn-info btn-fab btn-fab-sm btn_view_message" valueid="{{ feedback.pk }}">
									<i class="zmdi zmdi-eye"></i>
								</button>
							</div>	
						</td>
					</tr>
					{% endif %} 
					{% endfor %}
				</tbody>
			</table>
		</div>
	</div>
</div>

{% endblock content %} {% block javascript %} 
<script>
	$('.btn_view_message').on('click', function(){
		$.ajax({
			url: '{% url "show_message_modal" %}',
			type: 'POST',
			data: {
				info: $(this).attr('valueid'),
				csrfmiddlewaretoken:'{{ csrf_token }}'
			},
			success:function(result){
				$('#descripcion').html(result.mensaje);
				$('#msn_m').modal('show');
			},

		});
		
	});
</script>

{% endblock javascript %}
